package maca_ad;

/**
 * <p>Title: MACA_CA</p>
 * <p>Description: Middleware de Autenticao e Controle de Acesso</p>
 * <p>Copyright: Copyright (c) 2000-2004</p>
 * <p>Company: Instituto do Corao - FM.USP</p>
 * @author Gustavo Motta
 * @version 3.2.1
 */

public class Timer extends Thread {

  private TimerListener target;
  private int interval;

  public Timer(int i, TimerListener t) {
    target   = t;
    interval = i;
    setDaemon(true);
  }

  public void run () {
    try {
      while (!interrupted()) {
        sleep(interval);
        target.timeElapsed(this);
      }
    }
    catch (InterruptedException exc) {
    }
  }
}
