<%@ taglib uri="http://jakarta.apache.org/taglibs/xtags-1.0" prefix="xtags" %>
<%@ page import="java.io.*,java.util.*,java.text.*" %>
<%--
<%@ include file="Header.jsp" %>
--%>

<jsp:useBean id="LoginID" scope="session" class="maca_bean.MacaBean" />
<jsp:useBean id="ADServer" scope="session" class="maca_ads.MacaADServer" />
<%--
<jsp:useBean id="XMLBean" scope="page" class="maca_ad_web.DomTree" />
--%>
<%!
  private String Response = "";
  private boolean debug = false;
%>

<%
try
{
  if (!LoginID.isValid(pageContext)) {
     %> <jsp:forward page="Login.jsp" /> <%
  }

    if (request.getParameter("userID")!=null)
      ADServer.initMacaADServer(request.getParameter("userID"),request.getParameter("password"),
                                LoginID.getAccessDecisionObject(),
                                (new java.io.File(application.getRealPath(""))).getPath()+"/config");

} // fim do try
catch (Exception e)
{
if (debug)
{
java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\UserPasswordManage_InitException.txt");
String exception = e.toString();
fexc.write(exception.getBytes());
fexc.close();
}
%> <jsp:forward page="Logout.jsp" /> <%}
%>


<%
try
{
if (debug)
{
  String xml = (String)session.getAttribute("userTemplate");
  xml += "\n uid:" + (String)session.getAttribute("uid");
  java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserPasswordManage_userTemplate.txt");
  fout.write(xml.getBytes());
  fout.close();
}
} // fim do try
catch (Exception e)
{
if (debug)
{
java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\UserPasswordManage_UserTemplateException.txt");
String exception = e.toString();
fexc.write(exception.getBytes());
fexc.close();
}
%> <jsp:forward page="Logout.jsp" /> <%}
%>

<xtags:style xsl="xsl/UserPasswordManage.xsl">
<document>
<%
java.util.Date currentDate = new Date();
out.print("<date>");
java.text.SimpleDateFormat sdf = new SimpleDateFormat("dd 'de' MMMMMMMM 'de' yyyy kk:mm:ss", new Locale("pt", "BR"));
out.print(sdf.format(currentDate));
out.print("</date>");
%>

<%
try
{
  out.print("<personal>");
  out.print("<loginID>"+LoginID.getUserID()+"</loginID>");
//  out.print("<uid>"+uid+"</uid>");
  out.print("</personal>");

  out.print("<thispage>");
  out.print("UserPasswordManage");
  out.print("</thispage>");

  out.print("<other>");
  out.print("<registerType>");
  out.print(session.getAttribute("registerType").toString());
  out.print("</registerType>");
  out.print("<uid>");
  out.print(session.getAttribute("uid").toString());
  out.print("</uid>");
  out.print("<page>");
  out.print(session.getAttribute("page").toString());
  out.print("</page>");
  out.print("</other>");




/////////////////////////////////////////////////////

if (request.getParameter("ResetarSenha")!=null)
{
/********************

<?xml version='1.0' encoding='ISO-8859-1'?>
<!--  Exemplo do padro de mensagens do MACA ADS  -->
<maca_ads version="3.1">
<!--
  Exemplo de requisio do servio para criao automtica de uma nova
  da senha para os usurios especificados.
  Parametros:
   - lista de elementos de usurios <user> ... </user> com os respectivos
     atributos: senha do administrador que autoriza a criaao de uma nova
     senha.
-->
<request action="NovaSenhaUsuario;Usuarios;MACA">
   <user>
     <ldapentry dn="uid=pedro.calmon,ou=people,dc=incor,dc=usp,dc=br">
       <attribute name="uid">
          <value><![CDATA[pedro.calmon]]></value>
       </attribute>
       <!--Senha do administrador -->
       <attribute name="adminpassword">
          <value><![CDATA[coentro1968]]></value>
       </attribute>
     </ldapentry>
   </user>
</request>
</maca_ads>
***********/
  String xmlUser = session.getAttribute("userTemplate").toString();
  String dn = "";
  if (xmlUser != null)
  {
    int beginIndex = xmlUser.indexOf("<ldapentry dn=")+15;
    int endIndex = xmlUser.indexOf("\">",beginIndex);
    dn = xmlUser.substring(beginIndex,endIndex);
  }
  String str = "";
  str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
  str += "<!--  Exemplo do padro de mensagens do MACA ADS  -->";
  str += "<maca_ads version=\"3.1\">";
  str += "<!-- Exemplo Requisio de servio para o MACA ADS-->";
  str += "<request action=\"NovaSenhaUsuario;Usuarios;MACA\">";
  str += "<user>";
  str += "<ldapentry dn=\""+dn+"\">";
  str += "<attribute name=\"uid\">";
  str += "<value>";
  str += "<![CDATA["+(String)session.getAttribute("uid")+"]]>";
  str += "</value>";
  str += "</attribute>";
  str += "<attribute name=\"adminpassword\">";
  str += "<value>";
  str += "<![CDATA["+request.getParameter("resetadminpassword")+"]]>";
  str += "</value>";
  str += "</attribute>";
  str += "</ldapentry>";
  str += "</user>";
  str += "</request>";
  str += "</maca_ads>";
  if (debug)
   {
     java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserPasswordManage_ResetPassRequest.txt");
     fout.write(str.getBytes());
     fout.close();
    }

  Response = ADServer.executeRequest(LoginID.getCredentials(),str);
  Response = Response.substring(Response.indexOf("<maca_ads version=\"3.1\">"));

  if (debug)
   {
     java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserPasswordManage_ResetPassReturn.txt");
     fout.write(Response.getBytes());
     fout.close();
    }
  out.print(Response);
}

/////////////////////////////////////////////////////

if (request.getParameter("AlterarSenha")!=null)
{
if (request.getParameter("userpassword1").compareTo(request.getParameter("userpassword2"))==0)
  {

/********************

<?xml version='1.0' encoding='ISO-8859-1'?>
<!--  Exemplo do padro de mensagens do MACA ADS  -->
<maca_ads version="3.1">
<!--
  Exemplo de requisio do servio para alterao da senha de usurios.
  Parametros:
   - lista de elementos de usurios <user> ... </user> com os respectivos
     atributos: senha do administrador e nova senha para o usurio.
-->
<request action="AlterarSenhaUsuario;Usuarios;MACA">
   <user>
     <ldapentry dn="uid=pedro.calmon,ou=people,dc=incor,dc=usp,dc=br">
       <attribute name="uid">
          <value><![CDATA[pedro.calmon]]></value>
       </attribute>
       <!--Senha do administrador -->
       <attribute name="adminpassword">
          <value><![CDATA[coentro1968]]></value>
       </attribute>
       <!--Nova senha do usurio -->
       <attribute name="userpassword">
          <value><![CDATA[falsefalse]]></value>
       </attribute>
     </ldapentry>
   </user>
</request>
</maca_ads>
***********/
  String xmlUser = session.getAttribute("userTemplate").toString();
  String dn = "";
  if (xmlUser != null)
  {
    int beginIndex = xmlUser.indexOf("<ldapentry dn=")+15;
    int endIndex = xmlUser.indexOf("\">",beginIndex);
    dn = xmlUser.substring(beginIndex,endIndex);
  }
  String str = "";
  str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
  str += "<!--  Exemplo do padro de mensagens do MACA ADS  -->";
  str += "<maca_ads version=\"3.1\">";
  str += "<!-- Exemplo Requisio de servio para o MACA ADS-->";
  str += "<request action=\"AlterarSenhaUsuario;Usuarios;MACA\">";
  str += "<user>";
  str += "<ldapentry dn=\""+dn+"\">";
  str += "<attribute name=\"uid\">";
  str += "<value>";
  str += "<![CDATA["+(String)session.getAttribute("uid")+"]]>";
  str += "</value>";
  str += "</attribute>";
  str += "<attribute name=\"adminpassword\">";
  str += "<value>";
  str += "<![CDATA["+request.getParameter("adminpassword")+"]]>";
  str += "</value>";
  str += "</attribute>";
  str += "<attribute name=\"userpassword\">";
  str += "<value>";
  str += "<![CDATA["+request.getParameter("userpassword1")+"]]>";
  str += "</value>";
  str += "</attribute>";
  str += "</ldapentry>";
  str += "</user>";
  str += "</request>";
  str += "</maca_ads>";
  if (debug)
   {
     java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserPasswordManage_AlterPassRequest.txt");
     fout.write(str.getBytes());
     fout.close();
    }

  Response = ADServer.executeRequest(LoginID.getCredentials(),str);
  Response = Response.substring(Response.indexOf("<maca_ads version=\"3.1\">"));

  if (debug)
   {
     java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserPasswordManage_AlterPassReturn.txt");
     fout.write(Response.getBytes());
     fout.close();
    }
  out.print(Response);
}
else // se as duas senhas no forem exatamente iguais
{
  String str = "";
  str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
  str += "<!--  Exemplo do padro de mensagens do MACA ADS  -->";
  str += "<maca_ads version=\"3.1\">";
  str += "<!-- Exemplo Requisio de servio para o MACA ADS-->";
  str += "<response action=\"AlterarSenhaUsuario;Usuarios;MACA\" status=\"not_ok\" errormessage=\"As duas senhas devem ser exatamente iguais.\">";
  str += "</response>";
  str += "</maca_ads>";
  out.print(str);
}
}


/////////////////////////////////////////////////////

if (request.getParameter("AlterarPoliticaSenha")!=null)
{
/********************

<?xml version='1.0' encoding='ISO-8859-1'?>
<!--  Exemplo do padro de mensagens do MACA ADS  -->
<maca_ads version="3.1">
<!--
  Exemplo de requisio do servio para alterao dos atributos de poltica de
  senha dos usurios especificados.
  Parametros:
   - lista de elementos de usurios <user> ... </user> com os respectivos
     atributos de poltica de senha e valores para alterao.
-->
<request action="AlterarAtributosPoliticaSenha;Usuarios;MACA">
   <user>
     <ldapentry dn="uid=pedro.calmon,ou=people,dc=incor,dc=usp,dc=br">
       <attribute name="uid">
          <value><![CDATA[pedro.calmon]]></value>
       </attribute>
       <attribute name="passwordmustchange">
          <value><![CDATA[true]]></value>
       </attribute>
       <attribute name="passwordexpirationdate">
          <value><![CDATA[16.05.2003 12:00:00]]></value>
       </attribute>
       <attribute name="passwordallowchangedate">
          <value><![CDATA[08.04.2003 14:16:06]]></value>
       </attribute>
     </ldapentry>
   </user>
</request>
</maca_ads>
***********/
  String xmlUser = session.getAttribute("userTemplate").toString();
  String dn = "";
  if (xmlUser != null)
  {
    int beginIndex = xmlUser.indexOf("<ldapentry dn=")+15;
    int endIndex = xmlUser.indexOf("\">",beginIndex);
    dn = xmlUser.substring(beginIndex,endIndex);
  }
  String str = "";
  str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
  str += "<!--  Exemplo do padro de mensagens do MACA ADS  -->";
  str += "<maca_ads version=\"3.1\">";
  str += "<!-- Exemplo Requisio de servio para o MACA ADS-->";
  str += "<request action=\"AlterarAtributosPoliticaSenha;Usuarios;MACA\">";
  str += "<user>";
  str += "<ldapentry dn=\""+dn+"\">";
  str += "<attribute name=\"uid\">";
  str += "<value>";
  str += "<![CDATA["+(String)session.getAttribute("uid")+"]]>";
  str += "</value>";
  str += "</attribute>";
  if (request.getParameter("passwordmustchange")!=null)
  {
    str += "<attribute name=\"passwordmustchange\">";
    str += "<value>";
    str += "<![CDATA[true]]>";
    str += "</value>";
    str += "</attribute>";
  }
  else
  {
    str += "<attribute name=\"passwordmustchange\">";
    str += "<value>";
    str += "<![CDATA[false]]>";
    str += "</value>";
    str += "</attribute>";
  }
  if (request.getParameter("passwordexpirationdate")!=null) {
      str += "<attribute name=\"passwordexpirationdate\">";
      str += "<value>";
      str += "<![CDATA["+request.getParameter("passwordexpirationdate")+"]]>";
      str += "</value>";
      str += "</attribute>";
  }
  if (request.getParameter("passwordallowchangedate")!=null) {
    if (!request.getParameter("passwordallowchangedate").trim().equalsIgnoreCase("")) {
      str += "<attribute name=\"passwordallowchangedate\">";
      str += "<value>";
      str += "<![CDATA["+request.getParameter("passwordallowchangedate")+"]]>";
      str += "</value>";
      str += "</attribute>";
    }
  }
  str += "</ldapentry>";
  str += "</user>";
  str += "</request>";
  str += "</maca_ads>";
  if (debug)
   {
     java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserPasswordManage_AlterPolicyPassRequest.txt");
     fout.write(str.getBytes());
     fout.close();
    }

  Response = ADServer.executeRequest(LoginID.getCredentials(),str);
  Response = Response.substring(Response.indexOf("<maca_ads version=\"3.1\">"));

  if (debug)
   {
     java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserPasswordManage_AlterPolicyPassReturn.txt");
     fout.write(Response.getBytes());
     fout.close();
    }
  out.print(Response);
}

/////////////////////////////////////////////////////

/********************

<?xml version='1.0' encoding='ISO-8859-1'?>
<!--  Exemplo do padro de mensagens do MACA ADS  -->
<maca_ads version="3.1">
<!--
  Exemplo de requisio do servio para obteno dos atributos de poltica de
  senha dos usurios especificados.
  Parametros:
   - lista de elementos de usurios <user> ... </user> para recuperar
     atributos de poltica de senha .
-->
<request action="PegarAtributosPoliticaSenha;Usuarios;MACA">
   <user>
     <ldapentry dn="uid=pedro.calmon,ou=people,dc=incor,dc=usp,dc=br">
       <attribute name="uid">
          <value><![CDATA[pedro.calmon]]></value>
       </attribute>
     </ldapentry>
   </user>
</request>
</maca_ads>
***********/
  String xmlUser = session.getAttribute("userTemplate").toString();
  String dn = "";
  if (xmlUser != null)
  {
    int beginIndex = xmlUser.indexOf("<ldapentry dn=")+15;
    int endIndex = xmlUser.indexOf("\">",beginIndex);
    dn = xmlUser.substring(beginIndex,endIndex);
  }
  String str = "";
  str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
  str += "<!--  Exemplo do padro de mensagens do MACA ADS  -->";
  str += "<maca_ads version=\"3.1\">";
  str += "<!-- Exemplo Requisio de servio para o MACA ADS-->";
  str += "<request action=\"PegarAtributosPoliticaSenha;Usuarios;MACA\">";
  str += "<user>";
  str += "<ldapentry dn=\""+dn+"\">";
  str += "<attribute name=\"uid\">";
  str += "<value>";
  str += "<![CDATA["+(String)session.getAttribute("uid")+"]]>";
  str += "</value>";
  str += "</attribute>";
  str += "</ldapentry>";
  str += "</user>";
  str += "</request>";
  str += "</maca_ads>";
  if (debug)
   {
     java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserPasswordManage_GetPolicyPassRequest.txt");
     fout.write(str.getBytes());
     fout.close();
    }

  Response = ADServer.executeRequest(LoginID.getCredentials(),str);
  Response = Response.substring(Response.indexOf("<maca_ads version=\"3.1\">"));
  Response = Response.replaceAll("<maca_ads","<maca_ads_policypass");
  Response = Response.replaceAll("</maca_ads","</maca_ads_policypass");

  if (debug)
   {
     java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserPasswordManage_GetPolicyPassReturn.txt");
     fout.write(Response.getBytes());
     fout.close();
    }
  out.print(Response);

/////////////////////////////////////////////////////
/*
// para o header_nojs.xsl
   if ((request.getParameter("newuid") != null)&&(Response.indexOf("status=\"ok\"")>-1))
   {
     out.print("<userData>");
     out.print("<uid>");
     out.print((String)session.getAttribute("uid"));
     out.print("</uid>");
     out.print("</userData>");
     out.print("<returnpage>UserData.jsp</returnpage>");
   }
*/
} // fim do try
catch (Exception e)
{
if (debug)
{
java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\UserPasswordManage_PageException.txt");
String exception = e.toString();
fexc.write(exception.getBytes());
fexc.close();
}
%> <jsp:forward page="Logout.jsp" /> <%}
%>
</document>
</xtags:style>

<%

%>
<%--
<%@ include file="Footer.jsp" %>
--%>

