<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="header.xsl"/>

<xsl:template match="document">
<font face="Arial" size = "-1"><h3>Nova conta</h3></font>
<table border="0" width="100%" bgcolor="#FFFFFF">
<form action="UserData.jsp" method="post">
<tr>
<td>
</td>
</tr>
<tr>
<xsl:if test="/document/entryFields">
<xsl:apply-templates select="/document/entryFields"/>
</xsl:if>
</tr>
</form>
</table>
</xsl:template>

  <xsl:template match="/document/entryFields">
    <input type="hidden" name="registerType" value="New"/>
    <xsl:variable name="outer_lookupname" select="/document/lookup/lookupname"/>
    <xsl:variable name="outer_lookupupdatefield" select="/document/lookup/lookupupdatefield"/>
    <xsl:variable name="outer_lookupvalue" select="/document/lookup/lookupvalue"/>
    <xsl:variable name="outer_lookupsignupname" select="/document/lookup/lookupsignupname"/>

    <table border="0" bgcolor="#FFFFFF">
    <xsl:for-each select="attribute">
      <xsl:variable name="name" select="@name"/>
      <xsl:variable name="displayname" select="@displayname"/>
      <xsl:variable name="required" select="@required"/>
      <xsl:variable name="lookupname" select="@lookupname"/>
      <xsl:variable name="lookupupdatefield" select="@lookupupdatefield"/>
      <xsl:variable name="lookupdisplayfield" select="@lookupdisplayfield"/>

      <tr>
          <td width="10%"><font face="Arial" size="-1"><xsl:value-of select="$displayname"/>: </font></td>
          <td width="40%">
            <font face="Arial" size="-1">
            <xsl:choose>
                <xsl:when test="$outer_lookupname = $lookupname and $outer_lookupupdatefield = $lookupupdatefield and $outer_lookupvalue != ''">
                  <input type="text" name="{$name}" value="{$outer_lookupvalue}"/>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:choose>
                  <xsl:when test="$name='givenname' and $outer_lookupsignupname!=''">
                    <input type="text" name="{$name}" value="{$outer_lookupsignupname}"/>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:choose>
                    <xsl:when test="/document/fields/field">
                    <xsl:for-each select="/document/fields/field">
                      <xsl:variable name="fieldname" select="name"/>
                      <xsl:variable name="fieldvalue" select="value"/>
                      <xsl:choose>
                      <xsl:when test="$name=$fieldname">
                        <input type="text" name="{$name}" value="{$fieldvalue}"/>
                      </xsl:when>
                      <xsl:otherwise>
                        <input type="text" name="{$name}"/>
                      </xsl:otherwise>
                      </xsl:choose>
                    </xsl:for-each>
                    </xsl:when>
                    <xsl:otherwise>
                      <input type="text" name="{$name}"/>
                    </xsl:otherwise>
                    </xsl:choose>
                  </xsl:otherwise>
                  </xsl:choose>
                </xsl:otherwise>
            </xsl:choose>
            </font>
            <xsl:if test="$required='true' or $name='givenname' or $name='employeenumber'">
              <font face="Arial" size="-1" color="red">*</font>
            </xsl:if>
            <xsl:if test="$lookupname != '' and $lookupupdatefield != '' and $lookupdisplayfield != ''">
               <font face="Arial" size = "-1">
                 <a id="imgNormal" href="javascript:remote('{$lookupname}','{$lookupupdatefield}','{$lookupdisplayfield}','SignUp','1')"><img id="imgNormal" alt="Pesquisar possíveis valores de {$displayname}" src="./figs/lookup.jpg"/></a>
                 <!-- <input name="lookupdata++{$lookupname}++{$lookupupdatefield}++{$lookupdisplayfield}++SignUp++1" alt="Pesquisar possíveis valores de {$displayname}" src="./figs/lookup.jpg"/>-->
               </font>
            </xsl:if>
          </td>
      </tr>
    </xsl:for-each>
    <tr>
     <td colspan="2">
     <font face="Arial" size="-1">Os campos marcados com um asterisco (<font face="Arial" size="-1" color="red">*</font>) são obrigatórios.</font>
     </td>
    </tr>
    <tr>
      <td colspan="2">
        <font face="Arial" size="-1"><INPUT type="submit" name="Cadastro" value="Cadastrar"/>&#xa0;&#xa0;<INPUT type="reset"/></font>
      </td>
    </tr>
    </table>
  </xsl:template>

</xsl:stylesheet>


