<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="header.xsl"/>

<xsl:template match="document">
  <xsl:variable name="uid" select="/document/other/uid"/>
  <xsl:variable name="registerType" select="/document/other/registerType"/>
  <xsl:variable name="page" select="/document/other/page"/>
  <font face="Arial" size = "-1"><h3>Conta do usuário <a href="UserData.jsp?uid={$uid}&amp;registerType=Edit"><xsl:value-of select="$uid"/></a> -> Gerenciar senhas</h3></font>
  <form action="UserPasswordManage.jsp" method="post">
  <table border="0" width="100%" bgcolor="#FFFFFF">
  <tr>
    <td colspan="2">
      <xsl:apply-templates select="maca_ads"/>
    </td>
  </tr>
  <tr>
    <td>
      <br/>
    </td>
  </tr>
  <tr>
    <td width="20%">
      <ul>
        <li id="foldheader"><a></a><a></a><font face="Arial" size="-1">Reinicializar senha:</font></li>
        <ul id="foldinglist" style="display:none;&amp;{head};">
          <li>
            <font face="Arial" size="-1">Senha de administrador: <input type="password" name="resetadminpassword" value="" maxlength="30"/><input type="submit" name="ResetarSenha" value="Reinicializar senha"/></font>
          </li>
        </ul>
      </ul>
    </td>
  </tr>
  <tr>
    <td colspan="2">
    </td>
  </tr>
  <tr>
    <td>
      <br/>
    </td>
  </tr>
  <tr>
    <td colspan="2">
      <ul>
        <li id="foldheader"><a></a><a></a><font face="Arial" size="-1">Alterar a senha:</font></li>
        <ul id="foldinglist" style="display:none;&amp;{head};">
          <li>
             <font face="Arial" size="-1">Senha de administrador: <input type="password" name="adminpassword" maxlength="30"/></font>
          </li>
          <li>
             <font face="Arial" size="-1">Nova senha do usuário: <input type="password" name="userpassword1" maxlength="30"/></font>
          </li>
          <li>
             <font face="Arial" size="-1">Nova senha do usuário: <input type="password" name="userpassword2" maxlength="30"/></font>
          </li>
          <li>
             <font face="Arial" size="-1"><input type="submit" name="AlterarSenha" value="Alterar senha do usuário"/></font>
          </li>
        </ul>
      </ul>
    </td>
  </tr>
  <tr>
    <td>
      <br/>
    </td>
  </tr>
  <tr>
    <td>
      <ul>
        <li id="foldheader"><a></a><a></a><font face="Arial" size="-1">Política de senha:</font></li>
        <ul id="foldinglist" style="display:none;&amp;{head};">
           <xsl:apply-templates select="maca_ads_policypass"/>
        </ul>
      </ul>
    </td>
  </tr>
  <tr>
    <td>
      <br/>
    </td>
  </tr>
  </table>
  </form>
</xsl:template>

  <xsl:template match="maca_ads_policypass">
    <xsl:for-each select="response/user/ldapentry/attribute">
    <xsl:variable name="name" select="@name"/>
    <xsl:variable name="value" select="value"/>
    <xsl:if test="$name != 'uid'">
    <li>
        <xsl:choose>
        <xsl:when test="$name = 'passwordmustchange'">
          <xsl:choose>
            <xsl:when test="$value='false'">
                <font face="Arial" size="-1">A senha deve ser alterada<!--<xsl:value-of select="$name"/>-->: <input type="checkbox" name="{$name}"/></font>
            </xsl:when>
            <xsl:otherwise>
              <font face="Arial" size="-1">A senha deve ser alterada<!--<xsl:value-of select="$name"/>-->: <input type="checkbox" name="{$name}" checked="{$value}"/></font>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <xsl:otherwise>
          <xsl:choose>
            <xsl:when test="$name = 'passwordexpirationdate'">
              <xsl:variable name="active" select="@active"/>
              <xsl:variable name="passwordexpwarned" select="@passwordexpwarned"/>
              <xsl:choose>
                <xsl:when test="$active = 'true'">
                  <xsl:choose>
                    <xsl:when test="$passwordexpwarned = 'true'">
                      <font face="Arial" size="-1">Data de validade da senha: <input type="text" name="{$name}" value="{$value}" maxlength="19"/><font face="Arial" color="blue" size="-2"> (<i>o usuário já foi avisado sobre a expiraração da senha</i>)</font></font>
                    </xsl:when>
                    <xsl:otherwise> 
                      <font face="Arial" size="-1">Data de validade da senha: <input type="text" name="{$name}" value="{$value}" maxlength="19"/></font>
                    </xsl:otherwise>
                  </xsl:choose>
                </xsl:when>
                <xsl:otherwise> 
                  <font face="Arial" size="-1">Data de validade da senha: <input type="text" name="{$name}" value="{$value}" maxlength="19"/><font face="Arial" color="red" size="-2"> (<i>ainda não confirmada</i>)</font></font>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:when>
            <xsl:otherwise> 
              <xsl:choose>
                <xsl:when test="$name = 'passwordallowchangedate'">
                  <xsl:variable name="active" select="@active"/>
                  <xsl:choose>
                    <xsl:when test="$active = 'true'">
                      <font face="Arial" size="-1">Permitir a alteração da senha a partir de: <input type="text" name="{$name}" value="{$value}" maxlength="19"/></font>
                    </xsl:when>
                    <xsl:otherwise> 
                      <font face="Arial" size="-1">Permitir a alteração da senha a partir de: <input type="text" name="{$name}" value="{$value}" maxlength="19"/><font face="Arial" color="red" size="-2"> (<i>data ainda não confirmada</i>)</font></font>
                    </xsl:otherwise>
                  </xsl:choose>
                </xsl:when>
              </xsl:choose>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:otherwise>
        </xsl:choose>
    </li>
    </xsl:if>
    </xsl:for-each>
    <xsl:if test="count(response/user/ldapentry/attribute) &gt; 1">
    <li>
        <font face="Arial" size="-1"><input type="submit" name="AlterarPoliticaSenha" value="Alterar políticas de senha"/></font>
    </li>
    </xsl:if>
  </xsl:template>

  <xsl:template match="maca_ads">
    <xsl:apply-templates select="response"/>
    <hr/>
  </xsl:template>

  <xsl:template match="response">
    <xsl:variable name="status" select="@status"/>
    <xsl:variable name="message" select="@message"/>
    <xsl:variable name="errormessage" select="@errormessage"/>
    <xsl:choose>
    <xsl:when test="$status = 'ok'">
       <xsl:variable name="registerType" select="/document/registerType"/>
       <br clear="all"/>
       <font face="Arial" size="-1"><xsl:value-of select="$message"/></font>
       <br clear="all"/>
       <br clear="all"/>
    </xsl:when>
    <xsl:otherwise>
       <br clear="all"/>
       <font face="Arial" size="-1"><h3>Erro!</h3></font>
       <br clear="all"/>
       <font face="Arial" size="-1"><xsl:value-of select="$errormessage"/></font>
       <br clear="all"/>
       <br clear="all"/>
    </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>


