<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="header_nojs.xsl"/>


<xsl:template match="document">
<!--<font face="Arial" size = "-1"><h3>Resultado da Operação</h3></font>-->
<table border="0" width="100%" bgcolor="#FFFFFF">
<tr>
</tr>
<tr>
</tr>
<tr>
<xsl:if test="maca_ads">
  <xsl:apply-templates select="maca_ads"/>
</xsl:if>
</tr>
<tr>
</tr>
</table>
</xsl:template>


  <xsl:template match="maca_ads">
    <xsl:apply-templates select="response" />
  </xsl:template>

  <xsl:template match="response">
    <xsl:variable name="status" select="@status"/>
    <xsl:variable name="rolePage" select="/document/rolepage"/>
    <xsl:variable name="userDatapage" select="/document/userDatapage"/>
    <xsl:variable name="uid" select="/document/userData/uid"/>
    <xsl:variable name="message" select="@message"/>
    <xsl:variable name="errormessage" select="@errormessage"/>
    <xsl:choose>
    <xsl:when test="$status = 'ok'">
       <xsl:variable name="registerType" select="/document/registerType"/>
       <br clear="all"/>
       <br clear="all"/>
       <hr/>
       <br clear="all"/>
       <br clear="all"/>
       <font face="Arial" size = "-1"><xsl:value-of select="$message"/></font>
       <br clear="all"/>
       <br clear="all"/>
       <font face="Arial" size = "-1">Os dados estão sendo atualizados. Aguarde cinco segundos...</font>
       <br clear="all"/>
       <br clear="all"/>
    </xsl:when>
    <xsl:otherwise>
       <br clear="all"/>
       <font face="Arial" size = "-1"><h3>Erro!</h3></font>
       <br clear="all"/>
       <br clear="all"/>
       <font face="Arial" size = "-1"><xsl:value-of select="$errormessage"/>
       <br clear="all"/>
       Por favor, retorne para a página anterior e corrija o problema.
       </font>
    </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>


