﻿<?xml version='1.0' ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:template match="/">
    <html>
    <STYLE>
      TR.clsOdd { background-Color:  #ffffff; }
      TR.clsEven { background-color: #eeeeee; }
    </STYLE>
<head>
<style>
a{text-decoration:none}
.look{font:bold 10pt Arial,Arial;}
.look2{font:bold 8pt Arial,Arial;}
.folding{cursor:hand}
a:visited {color:#00aa22}
a:active {color:red}
a:link {color:blue}
a:hover{color:#005566}

#foldheader{cursor:hand ;
list-style-image:url(./figs/tri.gif)}
#foldinglist{list-style-image:url(./figs/tri.gif)}
</style>
<!--
Os XSL que usam este xsl são:
- KillUser.xsl
- Login.xsl
- UserAlterLogin.xsl
- UserLookup.xsl
- UserPasswordManage.xsl
- UserSubmitData.xsl

Dentre esses, os que fazem o refresh e voltam para alguma página são:
- KillUser.xsl
- UserAlterLogin.xsl
// - UserPasswordManage.xsl
- UserSubmitData.xsl
-->

     <title><xsl:value-of select="document/pageTitle"/></title>
     <xsl:if test="document/returnpage">
       <xsl:variable name="returnpage" select="document/returnpage"/>
       <xsl:choose>
         <xsl:when test="/document/personal/uid"> <!-- KillUser-->
           <xsl:variable name="searchParameters" select="/document/personal/uid"/>
           <meta http-equiv="refresh" content="2;URL=./{$returnpage}?{$searchParameters}"/>
         </xsl:when>
         <xsl:otherwise> <!-- UserSubmitData, // UserPasswordManage -->
           <xsl:choose>
             <xsl:when test="/document/userData"> <!-- esse é para o UserSubmitData -->
               <xsl:variable name="uid" select="/document/userData/uid"/>
               <xsl:for-each select="/document/maca_ads/response">
                 <xsl:variable name="status" select="@status"/>
                 <xsl:if test="$status='ok'">
                   <meta http-equiv="refresh" content="2;URL=./{$returnpage}?uid={$uid}&amp;registerType=Edit&amp;fromPage=ADMain.jsp"/>
                 </xsl:if>
               </xsl:for-each>
             </xsl:when>
             <xsl:otherwise>
              <meta http-equiv="refresh" content="2;URL=./{$returnpage}"/>
             </xsl:otherwise>
           </xsl:choose>
         </xsl:otherwise>
       </xsl:choose>
     </xsl:if>
</head>
      <body>
<script type='text/javascript' src='javascript/remotecontrol.js'></script>
<script type='text/javascript' src='javascript/folding_input_tree.js'></script>
<noscript>Your browser does not support script</noscript>

        <table border="0" cellpadding="0" cellspacing="0" width="100%" >
          <tr>
          <!--<td width="65"><p><a href="http://www.incor.usp.br"><img src="./figs/incor.jpg" border="0"/></a></p></td>-->
          <td width="674">
            <table border="0" width="100%">
              <tr>
                <td width="249" valign="bottom"><p align="right"><img src="./figs/MacaADWeb.gif" width="256" height="28" border="0"/></p></td>
              </tr>
            </table>
          </td>
          </tr>
          <tr>
            <td width="10%" height="17" align="center" bgcolor="red" bordercolor="red"><p> </p></td>
            <td width="90%" height="17" bgcolor="red" bordercolor="red"><p align="right"><small><b><font color="#ffffff" face="Helvetica, Arial, sans-serif"><xsl:value-of select="/document/date"/></font></b></small></p></td>
          </tr>
          <tr>
            <td width="10%" height="17" align="center" bgcolor="#003399" bordercolor="red"><p> </p></td>
            <td width="90%" height="17" bgcolor="#003399" bordercolor="white">
              <p align="right">
                 <xsl:choose>
                 <xsl:when test="/document/login">
                   <small><b><font color="#ffffff" face="Helvetica, Arial, sans-serif"></font></b></small>
                 </xsl:when>
                 <xsl:otherwise>
                   <xsl:if test="not(/document/thispage='Login')">
                     <small><b><font color="#ffffff" face="Helvetica, Arial, sans-serif">usuário: <xsl:value-of select="document/personal/loginID"/></font></b></small>
                   </xsl:if>
                 </xsl:otherwise>
                 </xsl:choose>
              </p>
            </td>
          </tr>
          <tr bgcolor="#FFFFFF">
           <td colspan = "2">
             <xsl:apply-templates select="document"/>
           </td>
          </tr>
        </table>
        <table border="0" width="100%" bgcolor="#FFFFFF">
          <tr>
            <td width="100%"><p align="center"><font size="2"><img src="./figs/default_ruler.gif" width="400" height="9" border="0"/></font></p></td>
          </tr>
          <tr>
            <td align="center">
              <xsl:if test="not(/document/lookupheader)">
              <FORM NAME="encerra" ACTION="Logout.jsp" METHOD="post">
                <INPUT type="submit" value="Encerrar Sessão" style="font-size: small;"/>
              </FORM>
              </xsl:if>
            </td>
          </tr>
          <tr>
            <td width="100%">
              <div align="center">
                <table border="2" cellpadding="2" cellspacing="2">
                  <tr>
                    <td><p align="center">
                              <font size="2">
                                 <img src="./figs/incor.gif" border="0"/><br/>
                              </font><a href="http://www.incorhcsp.org.br">
                              <font face="Arial" size="1">Instituto do Coração</font></a></p>
                              <p align="center">
                                <font face="Arial" size="1">&#xA9; 2000-2005 Fundação Zerbini, Instituto do Coração - HCFMUSP. Todos os direitos reservados.</font>
                              </p>
                    </td>
                  </tr>
                </table>
              </div>
            </td>
          </tr>
        </table>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>