<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="header.xsl"/>

<xsl:template match="document">
<font face="Arial" size = "-1"><h3>Página Principal</h3></font>
<table border="0" width="100%" bgcolor="#EDEDED">
<tr>
  <br/>
</tr>
<!--
<tr>
<xsl:if test="personal">
  <xsl:apply-templates select="personal"/>
</xsl:if>
</tr>
-->
<tr>
  <br/>
</tr>
<tr>
   <font face="Arial" size = "-1"><b><i>As seguintes operações estão disponíveis:</i></b></font>
</tr>
<tr>
  <br/>
</tr>
<tr>
  &#xa0;&#xa0;&#xa0;<font face="Arial" size = "-1"><a href="./MonitorUser.jsp">Realizar busca por um usuário</a></font>
</tr>
<tr>
  &#xa0;&#xa0;&#xa0;<font face="Arial" size = "-1"><a href="./MonitorList.jsp">Listar todos os usuários</a></font>
</tr>
<tr>
  <br/>
</tr>
<tr>
  <br/>
</tr>
<tr>
<xsl:if test="maca_cs">
  <xsl:apply-templates select="maca_cs"/>
</xsl:if>
</tr>
</table>
</xsl:template>

  <xsl:template match="personal">
      <xsl:variable name="loginID" select="loginID"/>
      <xsl:variable name="loginRole" select="loginRole"/>
      <br/>
      <font face="Arial" size = "-1">Olá, <xsl:value-of select="$loginID"/>.</font>
      <br/>
      &#xa0;&#xa0;&#xa0;<font face="Arial" size = "-1">O seu papel atual é <xsl:value-of select="$loginRole"/>.</font>
      <br/>
  </xsl:template>

  <xsl:template match="maca_cs">
      <xsl:if test="response">
        <xsl:apply-templates select="response"/>
      </xsl:if>
  </xsl:template>

  <xsl:template match="response">
      <font face="Arial" size = "-1"><b><i>Estatísticas do Sistema:</i></b></font>
      <br/>
      <xsl:if test="currentstatistics">
        <xsl:apply-templates select="currentstatistics"/>
      </xsl:if>
      <br/>
      <font face="Arial" size = "-1"><i><xsl:value-of select="@message"/></i></font>
      <br/>
      <br/>
  </xsl:template>

  <xsl:template match="currentstatistics">
        <xsl:for-each select="attribute">
          <xsl:choose>
             <xsl:when test="position() = 3 or position() = 6 or position() = 8">
               &#xa0;&#xa0;&#xa0;<font face="Arial" size = "-1"><xsl:value-of select="@name"/>: <xsl:value-of select="value"/><xsl:text> </xsl:text><xsl:value-of select="@unit"/><br/><br/></font>
             </xsl:when>
             <xsl:otherwise>
               &#xa0;&#xa0;&#xa0;<font face="Arial" size = "-1"><xsl:value-of select="@name"/>: <xsl:value-of select="value"/><xsl:text> </xsl:text><xsl:value-of select="@unit"/><br/></font>
             </xsl:otherwise>
          </xsl:choose>
        </xsl:for-each>
  </xsl:template>

</xsl:stylesheet>


