package maca_ca;

/**
 * <p>Title: MACA_CA</p>
 * <p>Description: Middleware de Autenticao e Controle de Acesso</p>
 * <p>Copyright: Copyright (c) 2000-2004</p>
 * <p>Company: Instituto do Corao - FM.USP</p>
 * @author Gustavo Motta
 * @version 3.2.1
 */

import java.util.*;

public class ObjectEnumeration implements Enumeration {

  private Vector _objectList;
  private int    n = 0;

  public ObjectEnumeration(Vector objectList) {
    _objectList = objectList;
    n          = 0;
  }

  public boolean hasMoreElements() {
    return n < _objectList.size();
  }

  public Object nextElement() {
    if (hasMoreElements()) {
      Object obj = _objectList.get(n);
      n = n + 1;
      return obj;
    }
    else {
      throw new NoSuchElementException();
    }
  }
}
