package XMLProc;

/**
 * <p>Title: MACA_AD Web</p>
 * <p>Description: Middleware de Autenticao e Controle de Acesso</p>
 * <p>Copyright: Copyright (c) 2000-2004</p>
 * <p>Company: Instituto do Corao - FM.USP</p>
 * @author Luiz Kobayashi
 * @version 3.2.1
 */

import java.io.File;
import java.io.IOException;

public class XMLProc
{
    private boolean debug = false;

    public XMLProc()
    {
    } // constructor

    public String updateXML(String xml, String key, String value, boolean forLookup)
    {
    try
    {
    String searchString = "<attribute name=\""+key+"\"";
    int attribute = xml.indexOf(searchString);
    if (attribute >= 0)
    {
      int value1 = xml.indexOf("<value>",attribute);
      int value2 = xml.indexOf("</attribute>",value1); // preciso tirar todos os <value>
      String auxString1 = xml.substring(0,value1);
      String auxString2 = xml.substring(value2);
      String addOn = "";
      String tagValue = "";
      int valueLength = value.length();
      if (valueLength > 0)
      {
        for (int i = 0; i < valueLength; i++)
        {
          int j = value.indexOf("<^>"); // busco o token de multivalorado
          if (j>0) // se for multivalorado
          {
          tagValue = value.substring(0,j);
          tagValue = tagValue.trim();
          if (tagValue.equalsIgnoreCase("#blank#")) // se for caracter vazio
            tagValue="";
          addOn += "<value><![CDATA["+tagValue+"]]></value>";
          value = value.substring(j+3); // removo o valor anterior mais o token
          }
          else // se no for multivalorado
          {
            value = value.trim();
            if (value.equalsIgnoreCase("#blank#"))
              value="";
            addOn += "<value><![CDATA["+value+"]]></value>";
          break;
          }
        }
      }
      else
      {
      addOn += "<value><![CDATA["+value+"]]></value>";
      }
      String correctedXML = auxString1+addOn+auxString2;
      if (debug)
      {
      try
      {
      String fileName = "c:\\XMLProc_userTemplateFilled.txt";
      String str = "updateXML forLookup: "+ String.valueOf(forLookup) +" searchString: "+searchString+" attribute:" +
                 String.valueOf(attribute) +" value1: " +String.valueOf(value1) +
                 "value2: " + String.valueOf(value2) + "\r\n";
      str += "key = " + key + ", value = " + value + " \r\n "+correctedXML;
      java.io.FileOutputStream fout = new java.io.FileOutputStream(fileName);
      fout.write(str.getBytes());
      fout.close();
      }
      catch (java.io.FileNotFoundException fnfe)
      {
      fnfe.printStackTrace();
      }
      catch(java.io.IOException ioe)
      {
        ioe.printStackTrace();
      }
      }
    return correctedXML;
    }
    }
    catch (Exception exc)
    {
     exc.printStackTrace();
    }
    return xml;
    }

    public String convertfromChars(String input)
    {
    try
    {
      /*
      tabela retirada de
      http://hotwired.lycos.com/webmonkey/reference/special_characters/
      */

      input = input.replaceAll("","&#192;");
      input = input.replaceAll("","&#193;");
      input = input.replaceAll("","&#194;");
      input = input.replaceAll("","&#195;");
      input = input.replaceAll("","&#196;");
      input = input.replaceAll("","&#197;");
      input = input.replaceAll("","&#198;");
      input = input.replaceAll("","&#199;");
      input = input.replaceAll("","&#200;");
      input = input.replaceAll("","&#201;");
      input = input.replaceAll("","&#202;");
      input = input.replaceAll("","&#203;");
      input = input.replaceAll("","&#204;");
      input = input.replaceAll("","&#205;");
      input = input.replaceAll("","&#206;");
      input = input.replaceAll("","&#207;");
      input = input.replaceAll("","&#208;");
      input = input.replaceAll("","&#209;");
      input = input.replaceAll("","&#210;");
      input = input.replaceAll("","&#211;");
      input = input.replaceAll("","&#212;");
      input = input.replaceAll("","&#213;");
      input = input.replaceAll("","&#214;");
      input = input.replaceAll("","&#216;");
      input = input.replaceAll("","&#217;");
      input = input.replaceAll("","&#218;");
      input = input.replaceAll("","&#219;");
      input = input.replaceAll("","&#220;");
      input = input.replaceAll("","&#221;");
      input = input.replaceAll("","&#222;");
      input = input.replaceAll("","&#223;");
      input = input.replaceAll("","&#224;");
      input = input.replaceAll("","&#225;");
      input = input.replaceAll("","&#226;");
      input = input.replaceAll("","&#227;");
      input = input.replaceAll("","&#228;");
      input = input.replaceAll("","&#229;");
      input = input.replaceAll("","&#230;");
      input = input.replaceAll("","&#231;");
      input = input.replaceAll("","&#232;");
      input = input.replaceAll("","&#233;");
      input = input.replaceAll("","&#234;");
      input = input.replaceAll("","&#235;");
      input = input.replaceAll("","&#236;");
      input = input.replaceAll("","&#237;");
      input = input.replaceAll("","&#238;");
      input = input.replaceAll("","&#239;");
      input = input.replaceAll("","&#240;");
      input = input.replaceAll("","&#241;");
      input = input.replaceAll("","&#242;");
      input = input.replaceAll("","&#243;");
      input = input.replaceAll("","&#244;");
      input = input.replaceAll("","&#245;");
      input = input.replaceAll("","&#246;");
      input = input.replaceAll("","&#248;");
      input = input.replaceAll("","&#249;");
      input = input.replaceAll("","&#250;");
      input = input.replaceAll("","&#251;");
      input = input.replaceAll("","&#252;");
      input = input.replaceAll("","&#253;");
      input = input.replaceAll("","&#254;");
      input = input.replaceAll("","&#255;");
    }
    catch (Exception exc)
    {
     exc.printStackTrace();
    }
      return input;
    }

    public String converttoChars(String input)
    {
     try
     {
      /*
      tabela retirada de
      http://hotwired.lycos.com/webmonkey/reference/special_characters/
      */

      input = input.replaceAll("à","");
      input = input.replaceAll("á","");
      input = input.replaceAll("â","");
      input = input.replaceAll("ã","");
      input = input.replaceAll("ä","");
      input = input.replaceAll("å","");
      input = input.replaceAll("æ","");
      input = input.replaceAll("ç","");
      input = input.replaceAll("è","");
      input = input.replaceAll("é","");
      input = input.replaceAll("ê","");
      input = input.replaceAll("ë","");
      input = input.replaceAll("ì","");
      input = input.replaceAll("í","");
      input = input.replaceAll("î","");
      input = input.replaceAll("ï","");
      input = input.replaceAll("ð","");
      input = input.replaceAll("ñ","");
      input = input.replaceAll("ò","");
      input = input.replaceAll("ó","");
      input = input.replaceAll("ô","");
      input = input.replaceAll("õ","");
      input = input.replaceAll("ö","");
      input = input.replaceAll("ø","");
      input = input.replaceAll("ù","");
      input = input.replaceAll("ú","");
      input = input.replaceAll("û","");
      input = input.replaceAll("ü","");
      input = input.replaceAll("ý","");
      input = input.replaceAll("þ","");
      // input = input.replaceAll("?",""); // esse no pode fazer parte, seno baguna
      input = input.replaceAll("ÿ","");
     }
     catch (Exception exc)
     {
      exc.printStackTrace();
     }
      return input;
    }
}
