<%@ taglib uri="http://jakarta.apache.org/taglibs/xtags-1.0" prefix="xtags" %>
<%@ page import="java.io.*,java.util.*,java.text.*" %>
<%--
<%@ include file="Header.jsp" %>
--%>
<jsp:useBean id="LoginID" scope="session" class="maca_bean.MacaBean" />
<jsp:useBean id="ADServer" scope="session" class="maca_ads.MacaADServer" />
<jsp:useBean id="XMLProc" scope="page" class="XMLProc.XMLProc" />

<%! private String Response = "";
private int users = 0;
private int minimum = 0;
private int maximum = 20;
private int maxusers = 0;
private String temp = "";
private boolean show = false;
private boolean debug = false;
%>

<%
try{
  if (!LoginID.isValid(pageContext)) {
     %> <jsp:forward page="Login.jsp" /> <%
  }
  if (request.getParameter("userID")!=null)
    ADServer.initMacaADServer(request.getParameter("userID"),request.getParameter("password"),
                              LoginID.getAccessDecisionObject(),
                              (new java.io.File(application.getRealPath(""))).getPath()+"/config");

} // fim do try
catch (Exception e)
{
  if (debug)
  {
  java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\ADMain_InitException.txt");
  String exception = e.toString();
  fexc.write(exception.getBytes());
  fexc.close();
  }
%> <jsp:forward page="Logout.jsp" /> <%}
%>

<%
try
{
///
///Aqui pode ter lixo vindo de cadastros anteriores de usurios.
///Por isso, preciso limpar a sesso, deixando apenas os beans de acesso e de consulta.
///
/*
java.util.Enumeration eSession1 = session.getAttributeNames();
int numberKeys = 0;

while (eSession1.hasMoreElements())
{
  String key = (String)eSession1.nextElement();
  if ((!key.equalsIgnoreCase("LoginID")) && (!key.equalsIgnoreCase("ADServer")))
  {
   numberKeys++;
  }
}

java.util.Enumeration eSession2 = session.getAttributeNames();
String[] removeKeys = new String[numberKeys];
int aux=0;

while (eSession2.hasMoreElements())
{
  String key = eSession2.nextElement().toString();
  if ((!key.equalsIgnoreCase("LoginID")) && (!key.equalsIgnoreCase("ADServer")))
  {
   removeKeys[aux] = key;
   aux++;
  }
}

if(debug)
{
  String keyList = "";
  for (int z = 0; z < removeKeys.length; z++)
  {
    keyList = keyList + "Key:" + removeKeys[z] + "\r\n";
  }
  java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\ADMain_sessionKeysRemove.txt");
  fout.write(keyList.getBytes());
  fout.close();
}

for (int k = 0; k < removeKeys.length; k++)
{
  session.removeAttribute(removeKeys[k]);
}
*/
if (debug)
{
  String output = "";
  java.util.Enumeration e = request.getParameterNames();
   while (e.hasMoreElements()) {
    String key = (String)e.nextElement();
    String[] values = request.getParameterValues(key);
    String parameters = "";
    for(int i = 0; i < values.length; i++) {
      parameters += values[i];
      }
    output += "key: "+key+", parameters: "+parameters+"\r\n";
  }
  java.io.FileOutputStream fput = new java.io.FileOutputStream("c:\\ADMain_requestParameters.txt");
  fput.write(output.getBytes());
  fput.close();

  java.util.Enumeration e2 = session.getAttributeNames();
  String sVariable = "";
  while (e2.hasMoreElements())
  {
    String atr = (String)e2.nextElement();
    String content = session.getAttribute(atr).toString();
    sVariable += "sessionvariable "+atr+" has value "+content+" ;\r\n";
  }
  java.io.FileOutputStream fput2 = new java.io.FileOutputStream("c:\\ADMain_sessionParameters.txt");
  fput2.write(sVariable.getBytes());
  fput2.close();
  }
} // fim do try
catch (Exception e)
{
if (debug)
{
java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\ADMain_ClearSessionException.txt");
String exception = e.toString();
fexc.write(exception.getBytes());
fexc.close();
}
%> <jsp:forward page="Logout.jsp" /> <%}
%>

<xtags:style xsl="xsl/ADMain.xsl">
<document>
<%
java.util.Date currentDate = new Date();
out.print("<date>");
java.text.SimpleDateFormat sdf = new SimpleDateFormat("dd 'de' MMMMMMMM 'de' yyyy kk:mm:ss", new Locale("pt", "BR"));
out.print(sdf.format(currentDate));
out.print("</date>");
%>

<personal>
<loginID><%=LoginID.getUserID()%></loginID>
<loginRole><%=LoginID.getUserRole()%></loginRole>
</personal>
<%
try
{
// consultar campos pesquisveis no servidor
/*
<?xml version='1.0' encoding='ISO-8859-1'?>
<!--  Exemplo do padro de mensagens do MACA ADS  -->
<maca_ads version="3.1">
<!--
  Exemplo para requisio do servio que recupera os tipos de atributos
  para os quais se pode efetuar consultas. Retorna a
  lista dos tipos de atributos para consulta
-->
<request action="AtributosConsulta;Usuarios;MACA"></request>
</maca_ads>
*/

String str = "";
str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
str += "<!--  Exemplo do padro de mensagens do MACA ADS  -->";
str += "<maca_ads version=\"3.1\">";
str += "<!-- Exemplo Requisio de servio para o MACA ADS-->";
str += "<request action=\"AtributosConsulta;Usuarios;MACA\"></request>";
str += "</maca_ads>";

if (debug)
{
java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\ADMain_searchableFieldsReq.txt");
fout.write(str.getBytes());
fout.close();
}

Response = ADServer.executeRequest(LoginID.getCredentials(),str);
// Response = Response.substring(44); //melhorar este mtodo


if (debug)
{
java.io.FileOutputStream fresp = new java.io.FileOutputStream("c:\\ADMain_searchableFieldsResp.txt");
fresp.write(Response.getBytes());
fresp.close();
}

Response = Response.substring(Response.indexOf("<maca_ads version=\"3.1\">"));
Response = Response.replaceAll("<maca_ads","<searchFields");
Response = Response.replaceAll("</maca_ads","</searchFields");
out.print(Response);

// consultar campos retornveis no servidor
/*
<?xml version='1.0' encoding='ISO-8859-1'?>
<!--  Exemplo do padro de mensagens do MACA ADS  -->
<maca_ads version="3.1">
<!--
  Exemplo para requisio do servio que recupera os tipos de atributos
  resultantes de uma consulta para usurios . Retorna a
  lista dos tipos de atributos para consulta
-->
<request action="AtributosRetornoConsulta;Usuarios;MACA"></request>
</maca_ads>
*/

str = "";
str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
str += "<!--  Exemplo do padro de mensagens do MACA ADS  -->";
str += "<maca_ads version=\"3.1\">";
str += "<!-- Exemplo Requisio de servio para o MACA ADS-->";
str += "<request action=\"AtributosRetornoConsulta;Usuarios;MACA\"></request>";
str += "</maca_ads>";

if (debug)
{
java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\ADMain_returnableFieldsReq.txt");
fout.write(str.getBytes());
fout.close();
}

Response = ADServer.executeRequest(LoginID.getCredentials(),str);
// Response = Response.substring(44); //melhorar este mtodo


if (debug)
{
java.io.FileOutputStream fresp = new java.io.FileOutputStream("c:\\ADMain_returnableFieldsResp.txt");
fresp.write(Response.getBytes());
fresp.close();
}

Response = Response.substring(Response.indexOf("<maca_ads version=\"3.1\">"));
Response = Response.replaceAll("<maca_ads","<returnFields");
Response = Response.replaceAll("</maca_ads","</returnFields");

  out.print(Response);

  out.print("<returnedFields>");

 if (request.getParameter("returnFields")!=null)
 {
  str = "";
  String params="";
  java.util.Enumeration e = request.getParameterNames();
  while (e.hasMoreElements()) {
  String key = (String)e.nextElement();
  String[] values = request.getParameterValues(key);
  params += key + " ";
  if (key.equalsIgnoreCase("returnFields"))
  {
  str += "<returnedField>";
  for(int i = 0; i < values.length; i++) {
    str += "<value>";
    str += values[i];
    str += "</value>";
    }
  str += ("</returnedField>\n");
  }
  if (key.equalsIgnoreCase("roles"))
  {
  str += "<otherField>";
    str += "<value>";
    str += "roles";
    str += "</value>";
  str += ("</otherField>\n");
  }
  }
 out.print(str);

 if (debug)
 {
 java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\ADMain_returnedFields.txt");
 fout.write(str.getBytes());
 fout.write(params.getBytes());
 fout.close();
 }
 }

 out.print("</returnedFields>");

// campo de ordenao
if (request.getParameter("orderBy")!= null)
  {
  out.print("<orderBy>");
  out.print("<Field>");
  out.print("<![CDATA[" + request.getParameter("orderBy") + "]]>");
  out.print("</Field>");
  out.print("</orderBy>");
  }
else
  {
  out.print("<orderBy>");
  out.print("<Field>");
  out.print("<![CDATA[uid]]>");
  out.print("</Field>");
  out.print("</orderBy>");
}

// este cdigo  s para poder montar os links da prxima pgina e da pgina anterior
if ((request.getParameter("returnFields")!= null)||(request.getParameter("keyField")!= null)||(request.getParameter("keyValue")!= null))
  {
  str = "";
  String searchParameters = "";
  String keyValue = "";

  out.print("<searchParameters>");
  out.print("<Value>");

  java.util.Enumeration e = request.getParameterNames();
  while (e.hasMoreElements()) {
    String key = (String)e.nextElement();
    String[] values = request.getParameterValues(key);
    if (!key.equalsIgnoreCase("min") && !key.equalsIgnoreCase("max"))
    // no quero ter nem o mnimo nem o mximo, pois so valores desatualizados.
      {
      for(int i = 0; i < values.length; i++) {
        searchParameters += "&amp;" + key + "=" + values[i];
        }
      }
  }
  searchParameters = searchParameters.substring(1);
  out.print(searchParameters);
  out.print("</Value>");

  if (debug)
  {
  java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\ADMain_searchParameters.txt");
  fout.write(searchParameters.getBytes());
  fout.close();
  }

  e = request.getParameterNames();
  out.print("<keyValue>");
  while (e.hasMoreElements()) {
    String key = (String)e.nextElement();
    String[] values = request.getParameterValues(key);
    if (key.equalsIgnoreCase("keyValue"))
      // este  o valor do campo text de busca.
        {
        for(int i = 0; i < values.length; i++) {
          keyValue += values[i];
          }
        }
  }
  out.print(keyValue);
  out.print("</keyValue>");

  out.print("</searchParameters>");
  }

  // consultar usurio
  /*
  <?xml version='1.0' encoding='ISO-8859-1'?>
  <!--  Exemplo do padro de mensagens do MACA ADS  -->
  <maca_ads version="3.1">
  <!--
    Exemplo para requisio do servio para consulta de usurios. Retorna a
    lista de usurios que satisfazem os critrios de consulta
    Parametros:
         - filter (Obrigatrio): expresso de consulta no padro LDAP. Quando for
                                 vazia, retorna todos os usurios.
         - returningFields (Opcional): lista de nomes de atributos LDAP cujos
                                       valores retornaro em cada entrada de
                                       usurio cadastrado. Default ou vazio
                                       no retorna atributos
         - roles (Opcional): quando 'true', retorna os papis associados ao
                             usurio. Quando 'false', no retorna os papis.
                             Default: 'false'
       - accountType (Opcional): quando 'locked', efetua a consulta apenas 
                                 nas contas bloqueadas. Quando 'unlocked',
                                 efetua a consulta apenas nas contas que
                                 esto desbloqueadas. Quando '*', efetua a 
                                 consulta em todas a contas.
                                 Default: '*'
                             
  -->
  <request action="ConsultarUsuario;Usuarios;MACA"
           filter="uid=*gustavo*" returningFields="mail" roles="true" accountType="locked">
  </request>
  </maca_ads>
  */

  if ((request.getParameter("returnFields")!= null)||(request.getParameter("keyField")!= null)||(request.getParameter("keyValue")!= null))
  {
  str = "";
  String returningFields = "";
  boolean noWildcard = false;
  java.util.Enumeration e = request.getParameterNames();
  while (e.hasMoreElements()) {
    String key = (String)e.nextElement();
    String[] values = request.getParameterValues(key);
    if (key.equalsIgnoreCase("returnFields"))
      {
      for(int i = 0; i < values.length; i++) {
        returningFields += values[i];
        returningFields += ",";
        }
      }
    if (key.equalsIgnoreCase("NoWildcard"))
      {
      noWildcard = true;
      }
  }

  str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
  str += "<!--  Exemplo do padro de mensagens do MACA ADS  -->";
  str += "<maca_ads version=\"3.1\">";
  str += "<!-- Exemplo Requisio de servio para o MACA ADS-->";
  
  str += "<request action=\"ConsultarUsuario;Usuarios;MACA\"";
  if (noWildcard) {
    str += " filter=\""+request.getParameter("keyField")+"="+request.getParameter("keyValue")+"\"";
  }
  else {
    String keyValue = request.getParameter("keyValue");
    if ((keyValue != null) && (keyValue.length() > 0)) {
      str += " filter=\""+request.getParameter("keyField")+"=*"+request.getParameter("keyValue")+"*\"";
    }
    else {
      str += " filter=\""+request.getParameter("keyField")+"=*\"";
    }
  }
  str += " returningFields=\""+returningFields+"\"";
  str += " roles=\""+((request.getParameter("roles")!=null)?"true":"false")+"\"";
  str += " accountType=\""+request.getParameter("searchAccountType")+"\">";
  str += "</request>";
  str += "</maca_ads>";
 
  //str = XMLProc.replaceChars(str);

  if (debug)
  {
  java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\ADMain_ConsultaRequest.txt");
  fout.write(request.getParameter("returnFields").getBytes());
  fout.write(returningFields.getBytes());
  fout.write(str.getBytes());
  fout.close();
  }


  Response = ADServer.executeRequest(LoginID.getCredentials(),str);
  // Response = Response.substring(44); //melhorar este mtodo


  if (debug)
  {
  java.io.FileOutputStream fresp = new java.io.FileOutputStream("c:\\ADMain_ConsultaResponse.txt");
  fresp.write(Response.getBytes());
  fresp.close();
  }

  Response = Response.substring(Response.indexOf("<maca_ads version=\"3.1\">"));
  //Response = XMLProc.replaceChars(Response);
  
  out.print(Response);
  
  
  // show: varivel que mostra todas as entradas se true
  show = request.getParameter("show")==null?false:true;
  // conto quantos <users> existem -> numero total de linhas
  temp = Response;
  for (int i = 0; i<Response.length(); i++)
  {
    if (temp.indexOf("<user") >=0 ) {
      temp = temp.substring(temp.indexOf("<user"));
      temp = temp.substring(2);
      users++;
    }
  }
  //out.print(users);

out.print("<pages>");

  out.print("<numberusers>");
  out.print(users);
  out.print("</numberusers>");

  out.print("<min>");
  out.print(request.getParameter("min")==null? "1":request.getParameter("min"));
  out.print("</min>");

  if (!show)
  {
   out.print("<max>");
   if (request.getParameter("max")==null)
    {
      if (users>20)
       {
       out.print("20");
       }
     else
       {
       out.print(users);
       }
    }
   else
    {
    maxusers = Integer.parseInt(request.getParameter("max").toString());
    if (maxusers>users)
     {
      out.print(users);
     }
    else
     {
     out.print(maxusers);
     }
    }
   out.print("</max>");
  }
  else
  {
   out.print("<max>");
   out.print(users);
   out.print("</max>");
  }

// crio os links com as pginas
if (!show)
{
  minimum = (request.getParameter("min") == null)?0:Integer.parseInt(request.getParameter("min").toString());
  maximum = (request.getParameter("max") == null)?20:Integer.parseInt(request.getParameter("max").toString());
  //out.print("minimum: "+minimum+ " maximum: \n"+maximum);
  if (minimum>1)
  {
  out.print("<previouspage>");
  out.print("<pagemin>"+(minimum-20<1? 1:minimum-20)+"</pagemin>");
  out.print("<pagemax>"+(minimum-1==0? 1:minimum-1)+"</pagemax>");
  out.print("</previouspage>");
  }

  if (maximum < users)
  {
  out.print("<nextpage>");
  out.print("<pagemin>"+(maximum+1==users? maximum:maximum+1)+"</pagemin>");
  out.print("<pagemax>"+(maximum+20>users? users:maximum+20)+"</pagemax>");
  out.print("</nextpage>");
  }
}

users=0;

out.print("</pages>");

} // fim do if l de cima
} // fim do try
catch (Exception e)
{
if (debug)
{
java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\ADMain_PageException.txt");
String exception = e.toString();
fexc.write(exception.getBytes());
fexc.close();
}
%> <jsp:forward page="Logout.jsp" /> <%}
%>
</document>
</xtags:style>
<%--
<%
  out.print(Response);
%>


<%
  String str = "";
  str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
  str += "<!--  Exemplo do padro de mensagens do MACA CS  -->";
  str += "<maca_cs version=\"3.1\">";
  str += "<!-- Exemplo Requisio de servio para o MACA CS-->";
  str += "<request action=\"ListarAtivos;Usuarios;Monitor;MACA\"";
  str += "         returningFields=\"uid, mail\"></request>";
  str += "</maca_cs>";

  Response = LoginID.executeRequest(str);
  // Response = Response.substring(44); //melhorar este mtodo
  Response = Response.substring(Response.indexOf("<maca_cs version=\"3.1\">"));
  out.print(Response);
%>
--%>


<%--
<%@ include file="Footer.jsp" %>
--%>
