<%@ taglib uri="http://jakarta.apache.org/taglibs/xtags-1.0" prefix="xtags" %>
<%@ page import="java.io.*,java.util.*,java.text.*" %>
<%--
<%@ include file="Header.jsp" %>
--%>
<%!
  private String Response = "";
  private boolean debug = false;
%>

<jsp:useBean id="LoginID" scope="session" class="maca_bean.MacaBean" />
<jsp:useBean id="ADServer" scope="session" class="maca_ads.MacaADServer" />

<%
try
{
  if (!LoginID.isValid(pageContext)) {
     %> <jsp:forward page="Login.jsp" /> <%
  }

} // fim do try
catch (Exception e)
{
  if (debug)
  {
  java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\KillUser_InitException.txt");
  String exception = e.toString();
  fexc.write(exception.getBytes());
  fexc.close();
  }
%> <jsp:forward page="Logout.jsp" /> <%}
%>


<%
if (debug)
{
  String outp = "";
  java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\KillUser_requestParameters.txt");
  outp="Parameter names in this request - KillSession.jsp:\r\n";
  java.util.Enumeration e = request.getParameterNames();
  while (e.hasMoreElements()) {
    String key = (String)e.nextElement();
    String[] values = request.getParameterValues(key);
    outp+="\r\n" + key + " = ";
    for(int i = 0; i < values.length; i++) {
      outp+=values[i] + " ";
    }
  }
  fexc.write(outp.getBytes());
  fexc.close();
}
%>

<%--
Callee:
param1: <%= request.getParameter("param1") %>
param2: <%= request.getParameter("param2") %>
param3: <%= request.getParameter("param3") %>
--%>

<xtags:style xsl="xsl/KillUser.xsl">
<document>
<%
java.util.Date currentDate = new Date();
out.print("<date>");
java.text.SimpleDateFormat sdf = new SimpleDateFormat("dd 'de' MMMMMMMM 'de' yyyy kk:mm:ss", new Locale("pt", "BR"));
out.print(sdf.format(currentDate));
out.print("</date>");
%>

  <pageTitle>
  Remover Usurio
  </pageTitle>
<%
try
{
  /*
  out.println("Parameter names in this request - KillSession.jsp:\n");
  */
  String sessionnumber = request.getParameter("sessionnumber");
  String searchParameters = request.getParameter("searchParameters");
  searchParameters = searchParameters.substring(4);
  searchParameters = searchParameters.replaceAll("&","&amp;");
  String[] data = new String[1];

  java.util.Enumeration e = request.getParameterNames();
  while (e.hasMoreElements()) {
  String key = (String)e.nextElement();
  String[] values = request.getParameterValues(key);
  out.print(" " + key + " = ");
  if (key.equalsIgnoreCase("ldapdata"))
    {
    data = request.getParameterValues(key);
    if (debug)
    {
      java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\KillUser_LdapRequests.txt");
    for(int i = 0; i < values.length; i++) {
      fout.write(data[i].getBytes());
      }
    fout.close();
    }
  }
  }


  out.print("<personal>");
  out.print("<loginID>"+LoginID.getUserID()+"</loginID>");
  out.print("<uid>"+searchParameters+"</uid>");
  out.print("</personal>");
  out.print("<thispage>");
  out.print("KillUser");
  out.print("</thispage>");

  out.print("<other>");
  if (debug)
  {
    java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\KillUser_SearchParameters.txt");
    fout.write(searchParameters.getBytes());
    fout.close();
  }
  out.print("<searchParameters>"+searchParameters+"</searchParameters>");

  out.print("</other>");

if (request.getParameter("ldapdata") != null) // se tem algum checkbox clicado
{
  String uid = request.getParameter("ldapdata");
  uid = uid.substring(uid.indexOf("uid=")+4,uid.indexOf(","));

  System.out.println("uid: " + uid + " and session: " + sessionnumber);


/********************
<?xml version='1.0' encoding='ISO-8859-1'?>
<!--  Exemplo do padro de mensagens do MACA ADS  -->
<maca_ads version="3.1">
<!--
  Exemplo de requisio do servio para remover cadastros de usurios no
  diretrio LDAP.
  Parametros: lista de elementos de usurios <user> ... </user> a remover.
-->
<request action="RemoverUsuario;Usuarios;MACA">
   <user>
     <ldapentry dn="uid=gustavo.gustavo,ou=people,dc=incor,dc=usp,dc=br">
       <attribute name="uid">
          <value><![CDATA[gustavo.gustavo]]></value>
       </attribute>
     </ldapentry>
   </user>
</request>
</maca_ads>
***********/

  String str = "";
  str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
  str += "<!--  Exemplo do padro de mensagens do MACA ADS  -->";
  str += "<maca_ads version=\"3.1\">";
  str += "<!-- Exemplo Requisio de servio para o MACA ADS-->";
  str += "<request action=\"RemoverUsuario;Usuarios;MACA\">";
  for (int j=0; j<data.length; j++)
  {
  str += "<user>";
  str += "<ldapentry dn=\""+data[j].substring(data[j].indexOf("/")+1,data[j].length())+"\">";
  str += "<attribute name=\"uid\">";
  str += "<value>";
  str += "<![CDATA["+data[j].substring(0,data[j].indexOf("/"))+"]]>";
  str += "</value>";
  str += "</attribute>";
  str += "</ldapentry>";
  str += "</user>";
  }
  str += "</request>";
  str += "</maca_ads>";

  if (debug)
   {
     java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\KillUser_DeleteRequest.txt");
     fout.write(str.getBytes());
     fout.close();
    }

  Response = ADServer.executeRequest(LoginID.getCredentials(),str);
  Response = Response.substring(Response.indexOf("<maca_ads version=\"3.1\">"));

  if (debug)
   {
     java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\KillUser_DeleteRequestReturn.txt");
     fout.write(Response.getBytes());
     fout.close();
    }
  out.print(Response);
}
else
{
out.print("<maca_ads>");
out.print("<response status=\"nok\" errormessage=\"nenhum usurio foi clicado. Nenhum usurio ser excludo.\">");
out.print("</response>");
out.print("</maca_ads>>");
}

  out.print("<returnpage>ADMain.jsp</returnpage>");
} // fim do try
catch (Exception e)
{
  if (debug)
  {
  java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\KillUser_PageException.txt");
  String exception = e.toString();
  fexc.write(exception.getBytes());
  fexc.close();
  }
%> <jsp:forward page="Logout.jsp" /> <%}
%>
</document>
</xtags:style>
<%--
<jsp:forward page="MonitorList.jsp">
<jsp:param name="username" value="jsmith" />
</jsp:forward>
-->

<%--
<xtags:style xsl="xsl/KillSession.xsl">
<%
  String str = "";
  str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
  str += "<!--  Exemplo do padro de mensagens do MACA CS  -->";
  str += "<maca_cs version=\"3.1\">";
  str += "<!-- Exemplo Requisio de servio para o MACA CS-->";
  str += "<request action=\"ListarAtivos;Usuarios;Monitor;MACA\"";
  str += "         returningFields=\"uid, mail\"></request>";
  str += "</maca_cs>";

  Response = LoginID.executeRequest(str);
  Response = Response.substring(Response.indexOf("<maca_cs version=\"3.1\">"));
  out.print(Response);
%>
</xtags:style>
--%>

<%--
<%@ include file="Footer.jsp" %>
--%>

