<%@ taglib uri="http://jakarta.apache.org/taglibs/xtags-1.0" prefix="xtags" %>
<%@ page import="java.io.*,java.util.*,java.text.*" %>
<%--
<%@ include file="Header.jsp" %>
--%>

<jsp:useBean id="LoginID" scope="session" class="maca_bean.MacaBean" />
<jsp:useBean id="ADServer" scope="session" class="maca_ads.MacaADServer" />

<%!
  private String Response = "";
%>

<%
try
{
  if (!LoginID.isValid(pageContext)) {
     %> <jsp:forward page="Login.jsp" /> <%
  }

  if (request.getParameter("userID")!=null)
    ADServer.initMacaADServer(request.getParameter("userID"),request.getParameter("password"),
                              LoginID.getAccessDecisionObject(),
                              (new java.io.File(application.getRealPath(""))).getPath()+"/config");
} // fim do try
catch (Exception e)
{
%> <jsp:forward page="Logout.jsp" /> <%
}
%>


<xtags:style xsl="xsl/LockUnlockUserAccount.xsl">
<document>
<%
java.util.Date currentDate = new Date();
out.print("<date>");
java.text.SimpleDateFormat sdf = new SimpleDateFormat("dd 'de' MMMMMMMM 'de' yyyy kk:mm:ss", new Locale("pt", "BR"));
out.print(sdf.format(currentDate));
out.print("</date>");
%>

  <pageTitle>
  Resultado da Operao
  </pageTitle>
<%
try
{
  out.print("<returnpage>UserData.jsp</returnpage>");

  out.print("<personal>");
  out.print("<loginID>"+LoginID.getUserID()+"</loginID>");
  out.print("</personal>");

  out.print("<thispage>");
  out.print("LockUserAccount");
  out.print("</thispage>");

  out.print("<userData>");
  out.print("<uid>");
  out.print((String)session.getAttribute("uid"));
  out.print("</uid>");
  out.print("</userData>");

/********************
<?xml version='1.0' encoding='ISO-8859-1'?>
<!--  Exemplo do padro de mensagens do MACA ADS  -->
<maca_ads version="3.1">
<!--
  Exemplo de requisio do servio para bloquear contas de usurios no
  diretrio LDAP.
  Parametros: lista de elementos de usurios <user> ... </user> a bloquear.
-->
<request action="BloquearContaUsuario;Usuarios;MACA">
   <user>
     <ldapentry dn="uid=eugenia.motta,ou=people,dc=incor,dc=usp,dc=br">
       <attribute name="uid">
          <value><![CDATA[eugenia.motta]]></value>
       </attribute>
     </ldapentry>
   </user>
</request>
</maca_ads>
********************/

  String registerType = session.getAttribute("registerType").toString();
  String lockAccount = session.getAttribute("lockAccount").toString().trim();
  String userData = userData = (String)session.getAttribute("userTemplate");
  String dn = "", uid = "";
  
  if (userData != null)
  {
    int beginIndex = userData.indexOf("<ldapentry dn=")+15;
    int endIndex = userData.indexOf("\">",beginIndex);
    dn = userData.substring(beginIndex, endIndex);

    beginIndex = userData.indexOf("uid=", beginIndex)+4;
    endIndex = userData.indexOf(",",beginIndex);
    uid = userData.substring(beginIndex, endIndex);
  }
  
  String str = "";
  str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
  str += "<!--  Exemplo do padro de mensagens do MACA ADS  -->";
  str += "<maca_ads version=\"3.1\">";
  str += "<!-- Exemplo Requisio de servio para o MACA ADS-->";
  if ("true".equalsIgnoreCase(lockAccount)) {
    str += "<request action=\"BloquearContaUsuario;Usuarios;MACA\">";
  }
  else {
    str += "<request action=\"DesbloquearContaUsuario;Usuarios;MACA\">";
  }
  str += "<user>";
  str += "<ldapentry dn=\""+dn+"\">";
  str += "<attribute name=\"uid\">";
  str += "<value>";
  str += "<![CDATA["+uid+"]]>";
  str += "</value>";
  str += "</attribute>";
  str += "</ldapentry>";
  str += "</user>";
  str += "</request>";
  str += "</maca_ads>";
  
 
  Response = ADServer.executeRequest(LoginID.getCredentials(),str);
  Response = Response.substring(Response.indexOf("<maca_ads version=\"3.1\">"));

  out.print(Response);

} // fim do try
catch (Exception e)
{
%> <jsp:forward page="Logout.jsp" /> <%
}
%>
</document>
</xtags:style>

<%--
<%@ include file="Footer.jsp" %>
--%>

