<%
/*
 Esta pgina faz duas coisas distintas:
 1) obtm os parmetros da pgina do UserData e monta a pgina de consulta
 2) Faz a consulta do usurio e mostra os resultados
 */
%>

<%@ taglib uri="http://jakarta.apache.org/taglibs/xtags-1.0" prefix="xtags" %>
<%@ page import="java.io.*,java.util.*,java.text.*" %>
<%--
<%@ include file="Header.jsp" %>
--%>
<jsp:useBean id="LoginID" scope="session" class="maca_bean.MacaBean" />
<jsp:useBean id="ADServer" scope="session" class="maca_ads.MacaADServer" />
<jsp:useBean id="XMLProc" scope="page" class="XMLProc.XMLProc" />

<%! private String Response = "";
private String temp = "";
private boolean debug = false;
private boolean forLookup = false;
%>

<%
try
{
  if (!LoginID.isValid(pageContext)) {
     %> <jsp:forward page="Login.jsp" /> <%
  }

} // fim do try
catch (Exception e)
{
if (debug)
{
java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\UserLookup_InitException.txt");
String exception = e.toString();
fexc.write(exception.getBytes());
fexc.close();
}
%> <jsp:forward page="Logout.jsp" /> <%}
%>




<xtags:style xsl="xsl/UserLookup.xsl">
<document>
<%
java.util.Date currentDate = new Date();
out.print("<date>");
java.text.SimpleDateFormat sdf = new SimpleDateFormat("dd 'de' MMMMMMMM 'de' yyyy kk:mm:ss", new Locale("pt", "BR"));
out.print(sdf.format(currentDate));
out.print("</date>");
out.print("<lookupheader>");
out.print("islookup");
out.print("</lookupheader>");
%>

<personal>
<loginID><%=LoginID.getUserID()%></loginID>
<loginRole><%=LoginID.getUserRole()%></loginRole>
</personal>

<%
try
{
  out.print("<thispage>");
  out.print("UserLookup");
  out.print("</thispage>");

// O primeiro passo  montar a pgina.

// eu atualizo todas as variveis de sesso
 Response = (String)session.getAttribute("userTemplate");
 java.util.Enumeration e = request.getParameterNames();
 while (e.hasMoreElements()) {
   String key = (String)e.nextElement();
   String[] values = request.getParameterValues(key);
   String parameters = "";
   for(int i = 0; i < values.length; i++) {
     if (parameters.equalsIgnoreCase(""))
      parameters = values[i];
     else
       parameters = parameters + "<^>" + values[i]; // o "<^>"  o token de separao dos valores
     }
   if (!key.endsWith("nokazudearu"))
   {
     session.setAttribute(key, parameters); // atualiza a varivel de sesso com os dados do usurio
   }
 }

/*
 // atualizo a string XML
 java.util.Enumeration e2 = session.getAttributeNames();
 int count = 0;
 while (e2.hasMoreElements())
 {
   String key = (String)e2.nextElement();
   String value = session.getAttribute(key).toString();
   String xml = (String)session.getAttribute("userTemplate");
   if ((!key.equalsIgnoreCase("userTemplate"))&&(!key.equalsIgnoreCase("page"))&&(!key.equalsIgnoreCase("objectclass")))
   {
    String correctedXML = XMLProc.updateXML(xml,key,value,forLookup);
    session.setAttribute("userTemplate",correctedXML);
   }
 }
*/
 if (debug)
 {
   String str = "XML: \r\n" + (String)session.getAttribute("userTemplate");
   java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserLookup_UserSubmittedXML.txt");
   fout.write(str.getBytes());
   fout.close();
 }


 if (debug)
 {
   String output = "";
   e = request.getParameterNames();
    while (e.hasMoreElements()) {
     String key = (String)e.nextElement();
     String[] values = request.getParameterValues(key);
     String parameters = "";
     for(int i = 0; i < values.length; i++) {
       parameters += values[i];
       }
     output += "key: "+key+", parameters: "+parameters+"\r\n";
   }
   java.io.FileOutputStream fput = new java.io.FileOutputStream("c:\\UserLookup_requestParameters.txt");
   fput.write(output.getBytes());
   fput.close();

   java.util.Enumeration e2 = session.getAttributeNames();
   String sVariable = "";
   while (e2.hasMoreElements())
   {
     String atr = (String)e2.nextElement();
     String content = session.getAttribute(atr).toString();
     sVariable += "sessionvariable "+atr+" has value "+content+" ;\r\n";
   }
   java.io.FileOutputStream fput2 = new java.io.FileOutputStream("c:\\UserLookup_sessionParameters.txt");
   fput2.write(sVariable.getBytes());
   fput2.close();
 }

 if ((session.getAttribute("lookupname") != null)&&(session.getAttribute("lookupupdatefield") != null)&&(session.getAttribute("lookupdisplayfield") != null))
 {
   out.print("<lookup>");
   out.print("<lookupname>");
   out.print((String)session.getAttribute("lookupname"));
   out.print("</lookupname>");
   out.print("<lookupupdatefield>");
   out.print((String)session.getAttribute("lookupupdatefield"));
   out.print("</lookupupdatefield>");
   out.print("<lookupdisplayfield>");
   out.print((String)session.getAttribute("lookupdisplayfield"));
   out.print("</lookupdisplayfield>");
   out.print("</lookup>");
 }
 else
 {
   out.print("<error>Solicitao Incorreta. Por favor, feche a janela e tente novamente.</error>");
 }


if (request.getParameter("lookupsearch") != null)
{
// consultar a tabela de lookup no servidor
/*
<?xml version='1.0' encoding='ISO-8859-1'?>
<!--  Exemplo do padro de mensagens do MACA ADS  -->
<maca_ads version="3.1">
<!--
  Exemplo para requisio do servio para pesquisa de tabela de validao,
   exemplo da tabela de estados ou CEPs
  Parametros:
       - lookupname (Obrigatrio): nome do 'lookup' definido no esquema do
                                   usuario usado para validaao do campo
       - lookupfield (Obrigatrio): nome do campo para o qual se far a pesquisa
                                    no 'lookup'
       - lookupfieldvalue (Obrigatrio): valor para comparao usando o
                                        'lookupfield' especificado. No pode ser
                                        vazio
       - exactmatch (Opcional): quando 'true', retorna as entradas que correspondem
                                exatamente ao valor em 'lookupfieldvalue'.
                                Quando 'false', retorna as entradas que tm o
                                ao valor em 'lookupfieldvalue' como substring.
                                Default: 'false'
-->
<request action="PesquisarTabelaValidacao;Usuarios;MACA"
         lookupname="estados"
         lookupfield="UF"
         lookupfieldvalue="p"
         exactmatch="false">
</request>
</maca_ads>
*/

String str = "";
str += "<?xml version='1.0' encoding='ISO-8859-1'?>";
str += "<!--  Exemplo do padro de mensagens do MACA ADS  -->";
str += "<maca_ads version=\"3.1\">";
str += "<!-- Exemplo Requisio de servio para o MACA ADS-->";
str += "<request action=\"PesquisarTabelaValidacao;Usuarios;MACA\" ";
str += "lookupname=\"" + (String)session.getAttribute("lookupname") + "\" ";
str += "lookupfield=\"" + (String)session.getAttribute("lookupsearchfield") + "\" ";
str += "lookupfieldvalue=\"" + request.getParameter("lookupfieldvalue") + "\" ";
if (request.getParameter("exactmatch")!=null)
{
str += "exactmatch=\"true\" ";
}
else
{
  str += "exactmatch=\"false\" ";
}
str += "></request>";
str += "</maca_ads>";

if (debug)
{
java.io.FileOutputStream fout = new java.io.FileOutputStream("c:\\UserLookup_LookupFieldsReq.txt");
fout.write(str.getBytes());
fout.close();
}

Response = ADServer.executeRequest(LoginID.getCredentials(),str);
// Response = Response.substring(44); //melhorar este mtodo

if (debug)
{
java.io.FileOutputStream fresp = new java.io.FileOutputStream("c:\\UserLookup_LookupFieldsResp.txt");
fresp.write(Response.getBytes());
fresp.close();
}

Response = XMLProc.converttoChars(Response);
Response = Response.substring(Response.indexOf("<maca_ads version=\"3.1\">"));
out.print(Response);
}

out.print ("<keyField>");
if (request.getParameter("lookupfieldvalue") != null)
{
  out.print(request.getParameter("lookupfieldvalue"));
}
out.print("</keyField>");

if (request.getParameter("page") != null)
{
  out.print("<page>");
  out.print(request.getParameter("page").trim());
  out.print("</page>");
}

if (request.getParameter("lookupnumber") != null)
{
  out.print("<lookupnumber>");
  out.print(request.getParameter("lookupnumber").trim());
  out.print("</lookupnumber>");
}

if (request.getParameter("fromPage") != null)
{
  out.print("<fromPage>");
  out.print(request.getParameter("fromPage").trim());
  out.print("</fromPage>");
}

} // fim do try
catch (Exception e)
{
if (debug)
{
java.io.FileOutputStream fexc = new java.io.FileOutputStream("c:\\UserLookup_PageException.txt");
String exception = e.toString();
fexc.write(exception.getBytes());
fexc.close();
}
%> <jsp:forward page="Logout.jsp" /> <%}
%>
</document>
</xtags:style>

<%--
<%@ include file="Footer.jsp" %>
--%>