<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="header.xsl"/>

<xsl:template match="document">
<xsl:variable name="uid" select="/document/userdata/uid"/>
<font face="Arial" size = "-1"><h3>Conta do usuário <a href="UserData.jsp?uid={$uid}&amp;registerType=Edit"><xsl:value-of select="$uid"/></a> -> Alterar Papéis</h3></font>
<form action="RoleEntry.jsp" method="post">
<table border="0" width="100%" bgcolor="#FFFFFF">
<tr>
<th><font face="Arial" size = "-1">Papéis disponíveis</font></th>
<th></th>
<th><font face="Arial" size = "-1">Papéis do usuário <xsl:value-of select="$uid"/></font></th>
</tr>
<tr>
  <td width="45%">
    <table border="1" width="100%" bgcolor="#FFFFFF">
    <tr>
    <td>
    <ul>
        <xsl:apply-templates select="maca_ads"/>
    </ul>
    </td>
    </tr>
    </table>
  </td>
  <td width="10%">
    <table border="0" width="100%" bgcolor="#FFFFFF">
      <tr>
      <td>
        <font face="Arial" size = "-1"><INPUT type="submit" name="Adicionar" value="&gt;&gt; Adicionar &gt;&gt;"/></font>
      </td>
      </tr>
      <tr>
      <td>
        <font face="Arial" size = "-1"><INPUT type="submit" name="Remover" value="&lt;&lt; Remover &lt;&lt;"/></font>
      </td>
      </tr>
    </table>
  </td>
  <td width="45%">
    <table border="1" width="100%" bgcolor="#FFFFFF">
    <tr>
    <td>
    <ul>
        <xsl:apply-templates select="maca_ads_user"/>
    </ul>
    </td>
    </tr>
    </table>
  </td>
</tr>
<tr>
<td>
<br/>
</td>
</tr>
</table>
</form>
</xsl:template>

  <xsl:template match="maca_ads">
    <xsl:apply-templates select="response" mode="general"/>
  </xsl:template>

  <xsl:template match="response" mode="general">
    <xsl:apply-templates select="ldapentry" mode="general"/>
  </xsl:template>

  <xsl:template match="ldapentry" mode="general">
    <xsl:variable name="name" select="./attribute/value"/>
    <xsl:variable name="dn" select="@dn"/>
    <xsl:choose>
    <xsl:when test="./ldapentry"> <!-- se tiver mais nós na árvore-->
     <li id="foldheader"><input type="checkbox" name="dn" value="{$dn}"><font face="Arial" size = "-1"><xsl:value-of select="$name"/></font></input></li>
     <!--<li id="foldheader"><xsl:value-of select="$name"/></li>-->
     <ul id="foldinglist" style="display:none;&amp;{head};">
     <xsl:apply-templates select="ldapentry" mode="general"/>
     </ul>
    </xsl:when>
    <xsl:otherwise>
    <li><input type="checkbox" name="dn" value="{$dn}"><font face="Arial" size = "-1"><xsl:value-of select="$name"/></font></input></li>
    </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="maca_ads_user">
    <xsl:apply-templates select="response" mode="user"/>
  </xsl:template>

  <xsl:template match="response" mode="user">
    <xsl:apply-templates select="user" mode="user"/>
  </xsl:template>

  <xsl:template match="user" mode="user">
    <xsl:apply-templates select="roles" mode="user"/>
  </xsl:template>

  <xsl:template match="roles" mode="user">
    <xsl:for-each select="ldapentry">
     <xsl:variable name="name" select="./attribute/value"/>
     <xsl:variable name="dn" select="@dn"/>
     <input type="checkbox" name="dn" value="{$dn}"><font face="Arial" size = "-1"><xsl:value-of select="$name"/></font></input>
     <br clear="all"/>
    </xsl:for-each>
  </xsl:template>

</xsl:stylesheet>


