<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="header.xsl"/>

<xsl:template match="document">
<xsl:variable name="uid" select="/document/other/uid"/>
<xsl:variable name="uidmaxlen" select="/document/other/uidmaxlen"/>
<font face="Arial" size = "-1"><h3>Alteração de Login de <a href="UserData.jsp?uid={$uid}&amp;registerType=Edit"><xsl:value-of select="$uid"/></a></h3></font>
<xsl:if test="maca_ads">
  <xsl:apply-templates select="maca_ads"/>
  <hr/>
</xsl:if>
    <form action="UserAlterLogin.jsp" method="post">
    <table border="0" width="100%" bgcolor="#FFFFFF">
    <tr>
      <td>
        <br/>
      </td>
    </tr>
    <tr>
      <td width="10%">
        <font face="Arial" size = "-1">Login atual:</font>
      </td>
      <td>
        <font face="Arial" size = "-1"><xsl:value-of select="$uid"/></font>
      </td>
    </tr>
    <tr>
      <td width="10%">
        <font face="Arial" size = "-1">Novo login:</font>
      </td>
      <td>
        <xsl:choose>
        <xsl:when test="/document/other/uidmaxlen">
          <font face="Arial" size = "-1"><input type="text" name="newuid" maxlen="{$uidmaxlen}"/></font>
        </xsl:when>
        <xsl:otherwise>
          <font face="Arial" size = "-1"><input type="text" name="newuid"/></font>
        </xsl:otherwise>
        </xsl:choose>
      </td>
    </tr>
    <tr>
      <td>
        <br/>
      </td>
    </tr>
    <tr>
      <td>
        <input type="submit" name="NovoUid" value="Alterar"/>
      </td>
    </tr>
    </table>
    </form>
</xsl:template>


  <xsl:template match="maca_ads">
    <table border="0" width="100%" bgcolor="#FFFFFF">
    <tr>
    <td>
    <xsl:if test="response">
      <xsl:apply-templates select="response"/>
    </xsl:if>
    </td>
    </tr>
    </table>
  </xsl:template>

  <xsl:template match="response">
    <xsl:variable name="status" select="@status"/>
    <xsl:variable name="message" select="@message"/>
    <xsl:variable name="errormessage" select="@errormessage"/>
    <xsl:choose>
    <xsl:when test="$status = 'ok'">
       <xsl:variable name="registerType" select="/document/registerType"/>
       <br clear="all"/>
       <font face="Arial" size = "-1"><xsl:value-of select="$message"/></font>
       <br clear="all"/>
       <font face="Arial" size = "-1">Aguarde dois segundos para a atualização do sistema...</font>
       <br clear="all"/>
    </xsl:when>
    <xsl:otherwise>
       <br clear="all"/>
       <font face="Arial" size = "-1"><h3>Erro!</h3></font>
       <font face="Arial" size = "-1"><b><xsl:value-of select="$errormessage"/></b></font>
       <br clear="all"/>
    </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>


