package maca_cs;

/**
 *	Generated from IDL definition of interface "CallbackCredentials"
 *	@author JacORB IDL compiler 
 */


public abstract class CallbackCredentialsPOA
	extends org.omg.PortableServer.Servant
	implements org.omg.CORBA.portable.InvokeHandler, maca_cs.CallbackCredentialsOperations
{
	static private final java.util.Hashtable m_opsHash = new java.util.Hashtable();
	static
	{
		m_opsHash.put ( "is_valid", new java.lang.Integer(0));
		m_opsHash.put ( "copy", new java.lang.Integer(1));
		m_opsHash.put ( "get_attributes", new java.lang.Integer(2));
		m_opsHash.put ( "setClientCallback", new java.lang.Integer(3));
		m_opsHash.put ( "set_privileges", new java.lang.Integer(4));
		m_opsHash.put ( "refresh", new java.lang.Integer(5));
		m_opsHash.put ( "destroy", new java.lang.Integer(6));
		m_opsHash.put ( "get_security_features", new java.lang.Integer(7));
		m_opsHash.put ( "set_security_features", new java.lang.Integer(8));
	}
	private String[] ids = {"IDL:maca_cs/CallbackCredentials:1.0","IDL:omg.org/SecurityLevel2/Credentials:1.0","IDL:omg.org/CORBA/Object:1.0"};
	public maca_cs.CallbackCredentials _this()
	{
		return maca_cs.CallbackCredentialsHelper.narrow(_this_object());
	}
	public maca_cs.CallbackCredentials _this(org.omg.CORBA.ORB orb)
	{
		return maca_cs.CallbackCredentialsHelper.narrow(_this_object(orb));
	}
	public org.omg.CORBA.portable.OutputStream _invoke(String method, org.omg.CORBA.portable.InputStream _input, org.omg.CORBA.portable.ResponseHandler handler)
		throws org.omg.CORBA.SystemException
	{
		org.omg.CORBA.portable.OutputStream _out = null;
		// do something
		// quick lookup of operation
		java.lang.Integer opsIndex = (java.lang.Integer)m_opsHash.get ( method );
		if ( null == opsIndex )
			throw new org.omg.CORBA.BAD_OPERATION(method + " not found");
		switch ( opsIndex.intValue() )
		{
			case 0: // is_valid
			{
				org.omg.maca_cs.Security.UtcTHolder _arg0= new org.omg.maca_cs.Security.UtcTHolder();
				_out = handler.createReply();
				_out.write_boolean(is_valid(_arg0));
				org.omg.maca_cs.Security.UtcTHelper.write(_out,_arg0.value);
				break;
			}
			case 1: // copy
			{
				_out = handler.createReply();
				org.omg.maca_cs.SecurityLevel2.CredentialsHelper.write(_out,copy());
				break;
			}
			case 2: // get_attributes
			{
				org.omg.maca_cs.Security.AttributeType[] _arg0=org.omg.maca_cs.Security.AttributeTypeListHelper.read(_input);
				_out = handler.createReply();
				org.omg.maca_cs.Security.AttributeListHelper.write(_out,get_attributes(_arg0));
				break;
			}
			case 3: // setClientCallback
			{
				maca_cs.Callback _arg0=maca_cs.CallbackHelper.read(_input);
				_out = handler.createReply();
				setClientCallback(_arg0);
				break;
			}
			case 4: // set_privileges
			{
				boolean _arg0=_input.read_boolean();
				org.omg.maca_cs.Security.SecAttribute[] _arg1=org.omg.maca_cs.Security.AttributeListHelper.read(_input);
				org.omg.maca_cs.Security.AttributeListHolder _arg2= new org.omg.maca_cs.Security.AttributeListHolder();
				_out = handler.createReply();
				_out.write_boolean(set_privileges(_arg0,_arg1,_arg2));
				org.omg.maca_cs.Security.AttributeListHelper.write(_out,_arg2.value);
				break;
			}
			case 5: // refresh
			{
				_out = handler.createReply();
				_out.write_boolean(refresh());
				break;
			}
			case 6: // destroy
			{
				_out = handler.createReply();
				destroy();
				break;
			}
			case 7: // get_security_features
			{
				org.omg.maca_cs.Security.CommunicationDirection _arg0=org.omg.maca_cs.Security.CommunicationDirectionHelper.read(_input);
				_out = handler.createReply();
				org.omg.maca_cs.Security.SecurityFeatureValueListHelper.write(_out,get_security_features(_arg0));
				break;
			}
			case 8: // set_security_features
			{
				org.omg.maca_cs.Security.CommunicationDirection _arg0=org.omg.maca_cs.Security.CommunicationDirectionHelper.read(_input);
				org.omg.maca_cs.Security.SecurityFeatureValue[] _arg1=org.omg.maca_cs.Security.SecurityFeatureValueListHelper.read(_input);
				_out = handler.createReply();
				set_security_features(_arg0,_arg1);
				break;
			}
		}
		return _out;
	}

	public String[] _all_interfaces(org.omg.PortableServer.POA poa, byte[] obj_id)
	{
		return ids;
	}
}
